<?php
	require "acesso.php";

	$res = array();
	$id_firma    = $_POST['id_firma'];
	$id_device   = $_POST['id_device'];
	$pedido      = substr($_POST['pedido'], 0, 6);
	$controle    = substr($_POST['pedido'], -2);
		
	if (isset($_POST['remover'])) {
		$id = $_POST['id'];
		$res["sr_recno"] = $id;
		$ret = $con->prepare("DELETE FROM mobile_romaneio_portas WHERE sr_recno = '$id'");
	} else {
		$porta       = $_POST['porta'];
		$emb         = $_POST['emb'];
		$quantidade  = $_POST['quantidade'];
		$ret = $con->prepare("INSERT INTO mobile_romaneio_portas (codigo_pedi, arcontro, porta, emb, quantidade) VALUES ('$pedido', '/$controle', '$porta', '$emb', '$quantidade')");	
	}
	$ret->execute();
	if ($ret->rowCount() > 0) {
		$ret = $con->prepare("SELECT * FROM mobile_romaneio_portas WHERE codigo_pedi='$pedido' AND arcontro='/$controle'");
		$ret->execute();
		if($ret->rowCount() > 0) {
			$res["portas"] = array();
			while ($row = $ret->fetch(PDO::FETCH_ASSOC)) {
				array_push($res["portas"], $row);
			}
			$res["sucesso"] = 1;
		}
	} else {
		$res['sucesso'] = 0;
	}
	
	echo json_encode($res);
	$con = null;
?>